Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Functions
bp_solver Namespace Reference

namespace covering all the algorithms for BPP More...

## Functions
void | baseLineFFD (vector< OItem > item_vect, vector< Box > *box_vect, Box box_type)
| used in base line solution More...
void | mainSolution1DFFD_oneBoxType (vector< OItem > item_vect, vector< Box > *box_vect, Box box_type)
void | mainSolution1DFFDS_multipleBoxTypes (vector< OItem > item_vect, vector< Box > *box_vect, vector< Box > box_types)
void | mainSolution3DBP_oneBox_pythonScript (vector< OItem > item_vect, vector< Box > *box_vect, Box box_type)
void | mainSolution3DBP_FFDS_multiBoxTypes_pythonScript (vector< OItem > item_vect, vector< Box > *box_vect, vector< Box > box_types)
void | mainSolution3DBP_multipleBoxTypes_countDefined_pythonScript (vector< OItem > item_vect, vector< Box > *box_vect, vector< pair< Box, int > > box_types_count)
bool | bpSolver_1D_fitBoxesToShelvesInCart (vector< Box > box_vect, vector< CartShelf > *out_shelf_vect, bool is_one_piced)
| function for filling shelves in cart with boxes of items More...
bool | bpSolver_1D_partlyLoadBoxesToShelvesInCart (vector< Box > box_vect, vector< CartShelf > *out_shelf_vect, vector< Box > *non_loaded_box_vect, vector< Box > *loaded_box_ptr_vect)
bool | addBoxItemToExisting_oneItemized_Box_1D (Box box, BoxItem box_item)
bool | addBoxItemToExisting_oneItemized_Box_3D (Box box, BoxItem box_item)

## Detailed Description

namespace covering all the algorithms for BPP

## Function Documentation

## ◆ addBoxItemToExisting_oneItemized_Box_3D()

bool bp_solver::addBoxItemToExisting_oneItemized_Box_3D | ( | Box | box,
|  | BoxItem | box_item
| ) |  |

Py_Finalize(); – causing problems !!!!!!!

## ◆ baseLineFFD()

void bp_solver::baseLineFFD | ( | vector< OItem > | item_vect,
|  | vector< Box > * | box_vect,
|  | Box | box_type
| ) |  |

used in base line solution

Parameters

  item_vect | vector of order items to be fit into boxes
  box_vect | there is returned the vector of filled boxes
  box_type | type of a box to be used

this is rework (fitting to boxitem) in contrast to version in base_line solution

## ◆ bpSolver_1D_fitBoxesToShelvesInCart()

bool bp_solver::bpSolver_1D_fitBoxesToShelvesInCart | ( | vector< Box > | box_vect,
|  | vector< CartShelf > * | out_shelf_vect,
|  | bool | is_one_piced
| ) |  |

function for filling shelves in cart with boxes of items

Parameters

  box_vect | boxes that are going to be loaded
  out_shelf_vect | shelves in cart (should not be more then 3)

Returns
  true when the boxes can be loaded or false when they couldn't

## ◆ bpSolver_1D_partlyLoadBoxesToShelvesInCart()

bool bp_solver::bpSolver_1D_partlyLoadBoxesToShelvesInCart | ( | vector< Box > | box_vect,
|  | vector< CartShelf > * | out_shelf_vect,
|  | vector< Box > * | non_loaded_box_vect,
|  | vector< Box > * | loaded_box_ptr_vect
| ) |  |

Parameters

  box_vect |
  out_shelf_vect |
  non_loaded_box_vect |

Returns
  true or false depending on whether at least one box has been loaded to the cart

## ◆ mainSolution1DFFD_oneBoxType()

void bp_solver::mainSolution1DFFD_oneBoxType | ( | vector< OItem > | item_vect,
|  | vector< Box > * | box_vect,
|  | Box | box_type
| ) |  |

Parameters

  item_vect | vector of order items to be fit into boxes
  box_vect | there is returned the vector of filled boxes
  box_type | type of a box to be used

warning - the out_items_vect is not necessarily accurate after the cycle above

## ◆ mainSolution1DFFDS_multipleBoxTypes()

void bp_solver::mainSolution1DFFDS_multipleBoxTypes | ( | vector< OItem > | item_vect,
|  | vector< Box > * | box_vect,
|  | vector< Box > | box_types
| ) |  |

Parameters

  item_vect |
  box_vect |
  box_types |

## ◆ mainSolution3DBP_FFDS_multiBoxTypes_pythonScript()

void bp_solver::mainSolution3DBP_FFDS_multiBoxTypes_pythonScript | ( | vector< OItem > | item_vect,
|  | vector< Box > * | box_vect,
|  | vector< Box > | box_types
| ) |  |

Parameters

  item_vect | vector of order items to be fit into boxes
  box_vect | there is returned the vector of filled boxes
  box_types | types of a boxes to be used

## ◆ mainSolution3DBP_multipleBoxTypes_countDefined_pythonScript()

void bp_solver::mainSolution3DBP_multipleBoxTypes_countDefined_pythonScript | ( | vector< OItem > | item_vect,
|  | vector< Box > * | box_vect,
|  | vector< pair< Box, int > > | box_types_count
| ) |  |

Parameters

  item_vect | vector of order items to be fit into boxes
  box_vect | there is returned the vector of filled boxes
  box_types | types of a boxes to be used

## ◆ mainSolution3DBP_oneBox_pythonScript()

void bp_solver::mainSolution3DBP_oneBox_pythonScript | ( | vector< OItem > | item_vect,
|  | vector< Box > * | box_vect,
|  | Box | box_type
| ) |  |

Parameters

  item_vect | vector of order items to be fit into boxes
  box_vect | there is returned the vector of filled boxes
  box_type | type of a box to be used

Py_Finalize(); – causing problems !!!!!!!